Как исправить сценарий Ruby, который не работает с ошибкой кодирования: «\ xD8» в US-ASCII?

Я получаю следующую ошибку при запуске проекта с:

cucumber --format junit --guess --out ./

Это ошибка:

Checkout:workspace / /var/lib/hudson/jobs/PersOC-CucumberTests/workspace -      [email protected]
Using strategy: Default
Last Built Revision: Revision 3dc11ccba9c86308b422d6261ecde95d0a4ae999 (origin/master)
Checkout:workspace / /var/lib/hudson/jobs/CucumberTests/workspace -   [email protected]
Fetching changes from the remote Git repository
Fetching upstream changes from /srv/git/cucumber.git
Commencing build of Revision 14627f9a6682b82a9b4d64172278a646da358c24 (origin/master)
Checking out Revision 14627f9a6682b82a9b4d64172278a646da358c24 (origin/master)
[workspace] $ /bin/sh -xe /tmp/hudson6604637626131848657.sh
+ cucumber --format junit --guess --out ./
/usr/lib64/ruby/gems/1.9.1/gems/json-1.7.5/lib/json/common.rb:155:in `encode': "\xD8"  on US-ASCII (Encoding::InvalidByteSequenceError)
from /usr/lib64/ruby/gems/1.9.1/gems/json-1.7.5/lib/json/common.rb:155:in `initialize'
from /usr/lib64/ruby/gems/1.9.1/gems/json-1.7.5/lib/json/common.rb:155:in `new'
from /usr/lib64/ruby/gems/1.9.1/gems/json-1.7.5/lib/json/common.rb:155:in `parse'
from /usr/lib64/ruby/gems/1.9.1/gems/gherkin-2.11.2/lib/gherkin/i18n.rb:14:in `<class:I18n>'
from /usr/lib64/ruby/gems/1.9.1/gems/gherkin-2.11.2/lib/gherkin/i18n.rb:6:in `<module:Gherkin>'
from /usr/lib64/ruby/gems/1.9.1/gems/gherkin-2.11.2/lib/gherkin/i18n.rb:5:in `<top (required)>'
from /usr/lib64/ruby/site_ruby/1.9.1/rubygems/custom_require.rb:55:in `require'

[DEBUG] Skipping watched dependency update for build: CucumberTests #168 due to result: FAILURE 
Finished: FAILURE

Каждый файл в этом проекте помечен:

#!/bin/env ruby
# encoding: utf-8
# -*- coding: utf-8 -*- 

Что я могу попробовать?

Ответы на вопрос(2)

Ваш ответ на вопрос